Subject: bug#25235: [PATCH v2 1/1] build-system/pyproject: Do not wrap native-inputs.

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 23 Jan 2023 08:38:11 -0500

Hi Ludovic,

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> Fixes <https://issues.guix.gnu.org/25235>.
>>
>> * guix/build/pyproject-build-system.scm (wrap) [native-inputs]: New argument.
>> Filter out native inputs from the values in GUIX_PYTHONPATH.
>
> LGTM!
>
>> -  ;; Do not require "guile" to be present in the package inputs
>> -  ;; even when there is nothing to wrap.
>> -  ;; Also, calculate (guile) only once to prevent some I/O.
>> -  (define %guile (delay (search-input-file inputs "bin/guile")))
>> -  (define (guile) (force %guile))
>
> I still don’t see what branch this snippet is on, what am I missing?
> :-)

It's based on https://issues.guix.gnu.org/60868, itself based on
https://issues.guix.gnu.org/60847.  I've tried to express this
relationship by marking the dependent changes blocked by the submissions
they are based on.

I've just rebased the 3 submissions and added you in CC; hopefully that
helps!

-- 
Thanks,
Maxim